Package com.macrofocus.high_d.scatterplot

# Class AbstractScatterPlotController.DefaultMouseListener

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlotController.DefaultMouseListener

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPCanvas.MouseListener`, `com.macrofocus.crossplatform.CPCanvas.MouseMotionListener`, `com.macrofocus.crossplatform.CPCanvas.MouseWheelListener`

Enclosing class:
  `AbstractScatterPlotController<Component,Row,Column>`

public class AbstractScatterPlotController.DefaultMouseListener extends Object implements com.macrofocus.crossplatform.CPCanvas.MouseListener, com.macrofocus.crossplatform.CPCanvas.MouseMotionListener, com.macrofocus.crossplatform.CPCanvas.MouseWheelListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultMouseListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mouseClicked(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mouseDragged(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mouseEntered(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mouseExited(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mouseMoved(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mousePressed(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mouseReleased(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)`
  `void`
  `mouseWheelMoved(com.macrofocus.crossplatform.CPCanvas.MouseWheelEvent event)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultMouseListener

    public DefaultMouseListener()

- ## Method Details

  - ### mouseClicked

    public void mouseClicked(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseClicked` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mousePressed

    public void mousePressed(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mousePressed` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mouseReleased

    public void mouseReleased(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseReleased` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mouseEntered

    public void mouseEntered(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseEntered` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mouseExited

    public void mouseExited(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseExited` in interface `com.macrofocus.crossplatform.CPCanvas.MouseListener`

  - ### mouseDragged

    public void mouseDragged(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseDragged` in interface `com.macrofocus.crossplatform.CPCanvas.MouseMotionListener`

  - ### mouseMoved

    public void mouseMoved(com.macrofocus.crossplatform.CPCanvas.MouseEvent event)
    Specified by:
      `mouseMoved` in interface `com.macrofocus.crossplatform.CPCanvas.MouseMotionListener`

  - ### mouseWheelMoved

    public void mouseWheelMoved(com.macrofocus.crossplatform.CPCanvas.MouseWheelEvent event)
    Specified by:
      `mouseWheelMoved` in interface `com.macrofocus.crossplatform.CPCanvas.MouseWheelListener`